/*
 * Copyright (c) 2022, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

// Variables

@import "../../_variables.less";

//==  Background color for `<body>`.
@body-bg: #fff;

//== Colors

@brand-primary:         #f06c00; // Orange
@brand-primary-light:   #ffa02e; // Light Orange
@brand-primary-light-darker: darken(@brand-primary-light, 10%);
@brand-secondary:       #404040; // Gray
@brand-tertiary:        #3f7b96; // Blue
@brand-quaternary:      #efefef; // Light Gray
@brand-quinary:         @brand-quaternary; // Light Gray (Breadcrumbs)

@brand-info:            @brand-tertiary;
@brand-info-light:      lighten(@brand-info, 20%);
@brand-warning:         @brand-primary;

@neutral-flat: #ececec; // Gray
@neutral-flat-darker: #d3d3d3;
@neutral-flat-dark: #d5d5d5; // Dark Gray
@neutral-flat-dark-darker: #aca7a7; 
@neutral-tinted: #e5e0e0; // Platinum
@neutral-tinted-darker: #c3c3c3;
@neutral-tinted-darkest: #b7b3b0;

//== Links
//** Global textual link color.
@link-color: #032788;
@link-hover-color: @link-color;
@link-hover-decoration: underline;
@link-visited-color: #730387;

//== Static colors
// Only use when really necessary

@orange:                #f7941e;
@purple:                #2c2255;
@blue:                  #00f;
@blue-dark:             #2c2255;
@blue-light:            #afbbdc;
@blue-lighter:          #dfe2ed;
@green-dark:            #5a6700;
@green-light:           #c0d050;
@green-lighter:         #faffd4;
@gray-mid-light:           #ccc;
@gray:                  #2f2f2f;
@white:                    #fff;
@black:                 #000000;
@red:                   #f00;

@eclipse-light-grey: #e8e8e8;
@eclipse-highlight-grey: #ececec;

//== /_core/template/header.less
@header-background: @white;
@header-default-bg-img: url('../../../images/components/landing-well/eclipse-home-bg.jpg');
@header-alternate-bg-img-1:url('../../../images/components/landing-well/eclipse_alternate_bg-1.jpg');
@header-toolbar-background-color:transparent;
@header-toolbar-color:@white;
@header-toolbar-color-hover: darken(@header-toolbar-color, 20%);
@header-row-padding-bottom:20px;
@header-border-color: #d9d9d9;
@header-shadow-color: #44444411;
@header-menu-spacing: 6rem;
@header-ads-min-width: 20rem;
@header-ads-text-color: #D9D9D9;

@alternate-header-background:#fff;
@alternate-header-toolbar-background-color:@alternate-header-background;
@alternate-header-toolbar-color:@brand-secondary;
@alternate-header-toolbar-color-hover:lighten(@alternate-header-toolbar-color, 15%);

@dropdown-fallback-border:none;
@dropdown-border:none;
@border-radius-base:0;
@dropdown-link-hover-bg:#fff;

@hr-border:@gray-mid-light;

// Toolbar
@header-toolbar-background: #f8f8f8;
@header-toolbar-search-bar-shadow-color: #55555544;

// Navbar
@navbar-height: 5rem;
@navbar-padding-y: 2rem;
@navbar-background-color: @header-background;
@navbar-border-color: @header-border-color;

//== Input
@input-border-radius:0;

//==  Mobile menu colors

// Main colors for the menu
@mobile-menu-background-color: @navbar-background-color;
@mobile-menu-border-color: @header-border-color;

// Colors for active link
@mobile-menu-open-active-background: #787878;
@mobile-menu-open-active-color: #fff;

// Default Menu
@main-menu-link-color: @white;
@alternate-main-menu-link-color:#6b655f;
@main-menu-link-active-color: darken(@white, 20%);
@alternate-main-menu-link-active-color: darken(#6b655f, 20%);
@main-menu-link-hover-color: darken(#6b655f, 20%);
@main-menu-link-hover-bg-color:transparent;
@main-menu-link-transform:none;
@alternate-main-menu-link-transform:@main-menu-link-transform;

@main-menu-link-size:17px;
@alternate-main-menu-link-size:@main-menu-link-size;

@main-menu-dropdown-menu-background: @neutral-tinted-darkest;
@main-menu-dropdown-link-color: #282828;
@main-menu-dropdown-link-active-color: #282828;
@main-menu-dropdown-link-hover-color: #282828;

// Default dropdown link colors
@mobile-menu-background: transparent;
@alternate-mobile-menu-background:@header-background;

@mobile-main-menu-link-size:14px;
@alternate-mobile-main-menu-link-size:@mobile-main-menu-link-size;

@navbar-toggle-icon-background: @brand-primary;
@mobile-menu-dropdown-menu-background: #525252;
@mobile-menu-dropdown-menu-color: #afafaf;
@mobile-menu-dropdown-menu-hover: darken(#afafaf, 20%);
@mobile-menu-dropdown-menu-hover-background: #f5f5f5;
@mobile-menu-dropdown-menu-active-background: @brand-warning;
@mobile-menu-dropdown-menu-active-color: #fff;
@mobile-menu-dropdown-menu-active-hover: #fff;
@mobile-menu-dropdown-menu-active-hover-background: #f5f5f5;
@mobile-main-menu-link-padding:18px 15px;
@mobile-main-menu-link-border-bottom:1px solid @mobile-menu-dropdown-menu-background;

//== Sidebar Menu
@sidebar-block-item-bg-color:#f1f1f1;
@sidebar-block-item-active-bg-color:@brand-secondary;
@sidebar-block-item-margin-bottom: 20px;
@sidebar-block-item-active-a-color: #fff;
@sidebar-block-item-active-a-bg-color-hover: darken(@brand-secondary, 15%);
@sidebar-block-item-bg-color-hover: darken(#f1f1f1, 15%);
@sidebar-block-item-a-color: darken(@brand-secondary, 20%);
@sidebar-block-sub-items-bg-color: #fff;
@sidebar-block-sub-items-margin-top: -20px;
@sidebar-block-sub-items-border:none;
@sidebar-block-a-color: @brand-secondary;
@sidebar-block-a-icon-width: 40px;
@sidebar-block-a-icon-height: 40px;
@sidebar-block-a-icon-margin: 0 20px 0 0px;

//== Bugzilla menu
@bugzilla-menu-link-color: @main-menu-link-color;

//== Typography
@font-family-sans-serif: "Roboto", "Libre Franklin", "Helvetica Neue", Helvetica, Arial, sans-serif;

@font-size-xs: 1rem;
@font-size-sm: 1.2rem;
@font-size-md: 1.4rem;
@font-size-lg: 1.8rem;
@font-size-xl: 2.4rem;
@font-size-2xl: 3rem;
@font-size-3xl: 4rem;
@font-size-4xl: 5.5rem;

@text-color: #4c4d4e;
@text-color-emphasized: @black;

// Headings
@headings-color: #272726;
@headings-font-weight: 300;
@headings-letter-spacing: normal;

@font-size-h1: @font-size-3xl;
@font-size-h2: @font-size-2xl;
@font-size-h3: @font-size-xl;
@font-size-h4: @font-size-lg;
@font-size-h5: @font-size-md;
@font-size-h6: @font-size-sm;

@font-weight-h1: 400;
@font-weight-h2: 400;
@font-weight-h3: @headings-font-weight;
@font-weight-h4: @headings-font-weight;
@font-weight-h5: @headings-font-weight;
@font-weight-h6: @headings-font-weight;

@font-family-h1: @headings-font-family;
@font-family-h2: @headings-font-family;
@font-family-h3: @headings-font-family;
@font-family-h4: @headings-font-family;
@font-family-h5: @headings-font-family;
@font-family-h6: @headings-font-family;

@letter-spacing-h1: -0.05em;
@letter-spacing-h2: -0.05em;
@letter-spacing-h3: @headings-letter-spacing;
@letter-spacing-h4: @headings-letter-spacing;
@letter-spacing-h5: @headings-letter-spacing;
@letter-spacing-h6: @headings-letter-spacing;

//== Forms

//** Placeholder text color
@input-color-placeholder:        @gray-light;

//== Grid system

//** Number of columns in the grid.
@grid-columns:              24;

//== Panels

@panel-bg:                    @eclipse-highlight-grey;
@panel-border-radius:         0px;
@panel-default-heading-bg:    darken(@eclipse-highlight-grey, 5%);
@panel-default-text:          @text-color;

//== Projects Variables

@project-list-text: #333;
@project-list-icon-enabled: #666;
@project-list-icon-disabled: @blue-lighter;
@project-list-background-color: @blue-lighter;
@project-list-collapse-odd-background-color: #f5f3f4;

@project-build-border-color: #c8c8c8;
@project-build-header-background-color: black;

//== Nav
@nav-list-link-color:@brand-secondary;

//== Breadcrumbs
@breadcrumb-padding-vertical:   8px;
@breadcrumb-padding-horizontal: 0px;

@breadcrumb-background: transparent;
@breadcrumb-color: lighten(@text-color, 10%);
@breadcrumb-active-color: @text-color-emphasized;
@breadcrumb-active-font-weight: 600;
@breadcrumb-hover: @text-color-emphasized;
@breadcrumb-border-bottom: 1px solid @header-border-color;
@breadcrumb-border-top: none;
@breadcrumb-font-size:0.85em;
@breadcrumb-font-weight: 400;
@breadcrumb-text-transform: inherit;
@breadcrumb-sharethis-padding: 5px 0 0 0;

//== Main
@main-background: transparent;

//== Logo
@logo-eclipse-default-width: 140px;

//== Sidebar

@solstice-sidebar-h2-background:@blue-light;

//== Footer

@footer-background: #FFFFFF;
@footer-padding-top: 60px;
@footer-working-group-background: url('../../../images/template/footer-working-group-separator.png') center repeat-y;
@footer-color: @brand-secondary;
@footer-border-top: none;
@footer-h2-color: #000;
@footer-h2-max-width: auto;
@footer-h2-font-weight: 400;
@footer-h2-font-size: 18px;

@footer-link-color: @brand-secondary;
@footer-link-font-weight:400;
@footer-link-hover: darken(@footer-link-color, 30%);
@footer-nav-link-padding: 6px 15px;

@footer-offset-margin-bottom:-55px;

@view-footer-border-bottom:#e2e2e2;
@view-footer-background:#e2e2e2;
@view-footer-color:#676767;

//== Tabs

// Standard tabs variables
@solstice-tabs-background: #cacaca;
@solstice-tabs-color: @gray;
@solstice-tabs-font-weight: normal;
@solstice-tabs-hover: darken(#fff, 10%);
@solstice-tabs-active-hover: @white;
@solstice-tabs-active-color:@gray;
@solstice-tabs-hover-color: @gray;
@solstice-tabs-active-font-weight: normal;
@solstice-tabs-border: 1px solid #cacaca;
@solstice-tabs-pane-background-color:transparent;

// Dark tabs variables
@solstice-tabs-dark-background:lighten(@gray, 60%);
@solstice-tabs-dark-hover: lighten(@gray, 50%);
@solstice-tabs-dark-border: 1px solid lighten(@gray, 60%);
@solstice-tabs-dark-pane-background-color:@white;

//== About Author

@about-author-h2-bg: @brand-warning;

//== IWG Members

@iwg-members-readmore-background-size:cover;
@iwg-members-readmore-background: transparent;
@iwg-members-readmore-border: none;
@iwg-members-heading-border-color: @brand-quinary;
@iwg-members-readmore-padding:0 0 20px;
@iwg-members-style-logo-box-shadow:none;

//== News and Blogs

@news-blog-date-bg:#f4d920;
@news-blog-date-bg-outdated: darken(@white, 30%);
@news-blog-date-color:#fff;
@news-blog-date-font-weight:bold;
@news-h2-color:#787878;
@news-h2-border:1px solid #e5e5e5;
@news-h2-size:35px;

//== Layout A
@news-layout-a-field-name-field-event-date:#eee;
@news-layout-a-border-bottom:1px solid #eee;
@news-layout-a-h2-size:17px;
@news-layout-a-h2-color:#787878;
@news-layout-a-h2-border-bottom:1px solid #e5e5e5;

//== Layout B
@news-layout-b-h2-size:21px;
@news-layout-b-h2-color:@brand-primary;
@news-layout-b-h2-a-color:@brand-primary;
@news-layout-b-h2-a-hover-color: darken(@news-layout-b-h2-a-color, 20%);
@news-layout-b-text-color:#666666;
@news-layout-b-solstice-well-padding:15px 0;
@news-layout-b-odd-background-color:transparent;
@news-layout-b-odd-border-bottom:1px solid #e2e2e2;
@news-layout-b-even-border-bottom:1px solid #e2e2e2;
@news-layout-b-solstice-submitted-margin-bottom:15px;
@news-layout-b-solstice-submitted-author-color:#a3a3a3;
@news-layout-b-margin-bottom:10px;

//== Tables

@tables-background-color: @brand-tertiary;
@table-bg-accent: #e9e9e9;
@tables-color: @white;

//==  Slideshow
@slideshow-background-color: transparent;
@slideshow-background-image: none;
@slideshow-content-background: rgba(255, 255, 255, 0.85);
@slideshow-content-padding: 60px 40px 60px 40px;
@slideshow-link-color: @brand-secondary;
@slideshow-link-color-hover: darken(@slideshow-link-color, 20%);
@slideshow-text-color: @white;
@slideshow-h2-fw: 300;
@slideshow-h2-color:@brand-primary;
@slideshow-h2-link-color: @brand-primary;
@slideshow-h2-link-fw: 700;
@slideshow-h2-link-color-hover: darken(@slideshow-h2-link-color, 20%);
@slideshow-p-font-size: 1.25em;
@slideshow-secondary-background: @brand-primary;
@slideshow-secondary-text-color: @brand-primary;
@slideshow-secondary-link-color: @brand-primary;
@slideshow-secondary-link-color-hover: darken(@slideshow-secondary-link-color, 20%);
@slideshow-secondary-text-color: @brand-primary;
@slideshow-secondary-h2-fw: 300;
@slideshow-secondary-h2-color:@brand-primary;
@slideshow-secondary-h2-link-color: @brand-primary;
@slideshow-secondary-h2-link-fw: 700;
@slideshow-secondary-h2-link-color-hover: darken(@slideshow-secondary-h2-link-color, 20%);
@slideshow-secondary-p-font-size: 1.25em;
@slideshow-frontpage-border-bottom: none;
@slideshow-frontpage-padding:60px 0;

//== IWG
@page-header-logo-border-top: 1px solid @gray-mid-light;
@page-header-logo-border-bottom:1px solid @gray-mid-light;

//== Button Bootstrap
@btn-border-radius-base:0;
@btn-primary-color:@white;
@btn-warning-border: @btn-warning-bg;
@btn-primary-border: @btn-primary-bg;
@btn-success-border: @btn-success-bg;
@btn-info-border: @btn-info-bg;
@btn-danger-border: @btn-danger-bg;
@btn-border-radius-large:0;
@btn-border-radius-small:0;
@btn-font-weight: normal;
@btn-text-transform: none;
@btn-secondary-color:@white;
@btn-secondary-bg:@brand-secondary;
@btn-secondary-border:@brand-secondary;

//== Button transparent
@btn-transparent-background:transparent;
@btn-transparent-border-color:@white;
@btn-transparent-color: @btn-transparent-border-color;
@btn-transparent-color-hover: @brand-primary;
@btn-transparent-color-hover-background:#ccc;
@btn-transparent-color-hover-border-color:@brand-primary;
@btn-transparent-font-size:11px;
@btn-transparent-padding:7px 15px;

//== Button neutral
@btn-neutral-bg: #e4e4e4;
@btn-neutral-bg-hover: darken(@btn-neutral-bg, 10%);
@btn-neutral-color: @black;
@btn-neutral-color-hover: @btn-neutral-color;
@btn-neutral-border: @btn-neutral-bg;
@btn-neutral-border-hover: @btn-neutral-bg-hover;

//== Solstice Highlight
@highlight-background:@white;
@highlight-background-hover:darken(@white,5%);
@highlight-vertical-borders:1px solid #c7c9cf;
@highlight-border-top:1px solid #c7c9cf;
@highlight-border-bottom:1px solid #c7c9cf;
@highlight-margin-bottom:3em;
@highlight-text-align:center;
@highlight-icon-font-size:3.8em;
@highlight-icon-color:@brand-info;
@highlight-h3-font-size:24px;
@highlight-h3-color:inherit;
@highlight-h3-color-hover:@brand-info;
@highlight-items-padding:30px 15px;

//== Sidebar
@sideitem-bg:#fff;
@sideitem-color:@text-color;
@sideitem-margin: 0 0 2em 0;
@sideitem-padding: 15px;
@sideitem-border: 1px solid #e0e0e0;
@sideitem-heading-bg:none;
@sideitem-heading-color:@sideitem-color;
@sideitem-heading-color-hover:@sideitem-color;
@sideitem-heading-margin:0 0 10px 0;
@sideitem-heading-padding:0 0 10px 0;
@sideitem-heading-transform:inherit;
@sideitem-heading-weight:600;
@sideitem-heading-size:15px;
@sideitem-p-padding:0;

@main-sidebar-color:@text-color-emphasized;
@main-sidebar-bg: @gray-mid-light;
@main-sidebar-shape:polygon(0 0, 0% 100%, 100% 0);
@main-sidebar-heading-size: @font-size-xl;
@main-sidebar-heading-weight: 300;
@main-sidebar-item-font-size: @font-size-md;
@main-sidebar-item-font-weight: 400;
@main-sidebar-item-text-color: @white;
@main-sidebar-item-bg: #222; // change to mockup
@main-sidebar-list-border:1px solid lighten(@main-sidebar-bg, 10%);
@main-sidebar-outdent: 2rem;
@main-sidebar-padding: 1rem;

//== Jumbotron
@jumbotron-bg-color:@brand-secondary;
@jumbotron-color:@white;
@jumbotron-text-align:center;
@jumbotron-h1-size:45px;
@jumbotron-h1-mobile-size:30px;
@jumbotron-h1-weight:bold;
@jumbotron-icon-size:50px;
@jumbotron-link-color:@white;
@jumbotron-link-color-hover:darken(@jumbotron-link-color, 20%);
@jumbotron-link-color-visited:@white;

//== Featured background color
@featured-primary-bg-color:@brand-primary;
@featured-primary-text-color:@white;
@featured-secondary-bg-color:@brand-secondary;
@featured-secondary-text-color:@white;

//== Featured Footer
@featured-footer-padding: 4rem 0;
@featured-footer-text-align: center;
@featured-footer-text-color: @white;
@featured-footer-icon-size: 40px;
@featured-footer-h2-font-size: @font-size-xl;
@featured-footer-h2-weight: 300;
@featured-footer-h2-margin-top:10px;
@featured-footer-h2-color: @text-color;
@featured-footer-input-color:#c7ccd1;
@featured-footer-light-bg: #ddd9d6;
@featured-footer-light-bg-img: unset;
@featured-footer-light-border-top: none;
@featured-footer-light-border-bottom: none;
@featured-footer-dark-border-top:1px solid #ccc;
@featured-footer-dark-bg: @brand-secondary;
@featured-footer-dark-border-bottom:1px solid #ccc;
@featured-footer-dark-h2-color: @white;
@featured-footer-dark-text-color: @white;

// Featured Story
@featured-story-bg-color:transparent;
@featured-story-h2-weight: 700;
@featured-story-h2-color:@brand-secondary;
@featured-story-p-size:16px;
@featured-story-ad-bg-color:#eaeaeb;
@featured-story-ad-shape:polygon(0 0, 100% 0, 100% 100%, 0 100%, 37% 51%);
@featured-story-ad-p-color:#9b9b9b;
@featured-story-ad-p-size:12px;
@featured-story-bg-img: url(../../../images/components/featured-story/featured-story-default-bg.jpg);


//== Featured
@featured-block-list-h2-color:@brand-secondary;
@featured-block-list-icon-color:@brand-primary;
@featured-block-list-media-link-bg-color: #efefef;
@featured-block-list-media-link-bg-color-hover:lighten(@brand-primary, 30%);
@featured-block-list-media-link-color:#484848;
@featured-block-list-media-heading-size:19px;
@featured-block-list-media-heading-weight:bold;
@featured-block-list-media-heading-color:@featured-block-list-media-link-color;
@featured-block-list-media-text-color:@featured-block-list-media-link-color;
@featured-block-list-links-color:#9c9c9c;

@featured-section-padding:60px 0 60px 0;
@featured-section-background-position:0 100%;
@featured-section-font-size:19px;
@featured-section-h2-font-size:34px;
@featured-section-h2-color:@brand-primary;
@featured-section-h2-margin:0 0 20px;
@featured-section-h2-transform-text:none;
@featured-section-p-margin:0 0 20px;
@featured-section-row-dark-link-color:lighten(@link-color, 20%);
@featured-section-row-dark-link-color-hover:lighten(@link-color, 15%);


@featured-section-row-lighter-bg:@white;
@featured-section-row-lighter-color:@text-color;
@featured-section-row-light-bg:#f9f9f9;
@featured-section-row-light-color:@text-color;
@featured-section-row-dark-bg:@gray;
@featured-section-row-dark-color:@white;

//== Section Highlights
@section-top-angle:polygon(0 16%, 100% 0, 100% 100%, 0% 100%);
@section-highlights-text-align:center;
@section-highlights-h3-size:20px;
@section-highlights-h3-weight:600;
@section-highlights-icon-color:@brand-primary;
@section-highlights-icon-size:40px;
@section-highlights-inverted-icon-size: 80px;
@section-highlights-inverted-icon-bg-color: @orange;
@section-highlights-inverted-icon-font-size: 37px;
@section-highlights-inverted-icon-margin: 20px;
@section-highlights-inverted-icon-color: @white;

//== Drupal/components/site-login-user-menu.less
@site-login-user-menu-color: #2f2f2f;
@site-login-user-menu-background: #fff;

//== Drupal/components/block.less
@solstice-block-white-bg-title-color: @brand-secondary;
@solstice-block-white-bg-title-border-color:#d7d7d7;

//== Labels
@label-purple-bg: @brand-primary;

//== Timeline
@timeline-link-color:@brand-secondary;
@timeline-link-font-size:16px;
@timeline-date-color:#693703;
@timeline-border-color:#ccc;
@timeline-circle-bg-color:@body-bg;
@timeline-date-font-size:12px;

//== Event: Registration
//== Event: Sponsors
@events-sponsors-image-max-width:120px;

//== Logo Placeholders 
@logo-placeholder-text-font-size: 1.8rem;
@logo-placeholder-text-font-weight: 700;

//== Members List
// Only Logos template
@members-list-tpl-only-logos-logo-max-width: 11rem;
@members-list-tpl-only-logos-logo-max-height: 8rem;

//== Cards

// card stylings
@card-image-max-height: 250px;
@card-container-padding: 15px;
@card-panel-body-padding: 1em;
@card-panel-body-padding-top: 20px;
@card-panel-heading-padding: 0px;
@card-panel-border-radius: 1em;
@card-panel-box-shadow: 4px 6px 9px 0px rgba(0,0,0,0.31);
@card-panel-footer-font-size: 1.5em;
@card-panel-footer-font-weight: 700;
@card-panel-body-padding-top: 0px;
@card-panel-border-color: #e1e1e1;

@glyph-highlight-background-color: @brand-secondary;
@glyph-highlight-container-padding: 15px 10px 5px 10px;
@glyph-highlight-width: 75px;
@glyph-highlight-height: 75px;
@glyph-highlight-left-pos-mod: 90%;
@glyph-highlight-font-color: @white;
@glyph-highlight-font-size: 3em;

//== Search bar
@search-bar-color: @text-color;
@search-bar-bg: @white;
